[Buildroot] [PATCH v1] apr: fix runtime tests for cross compile

Peter Korsgaard peter at korsgaard.com
Mon Jan 28 17:07:20 UTC 2019


>>>>> "Peter" == Peter Seiderer <ps.report at gmx.net> writes:

 >  - epoll supported since linux-2.5.44/glibc-2.3.2 (see [1])
 >  - dup3 supported since linux-2.6.27/glibc-2.9 (see [2])
 >  - SOCK_CLOEXEC supported on linux (see [3])
 >  - accept4 suppported since linux-2.6.28/glibc-2.10 (see [4])

 > Fixes [5] apache runtime failure:

 >   [mpm_event:crit] [pid 173:tid 1996214272] (70023)This function has not been
 >       implemented on this platform: AH00495: Couldn't create a Thread Safe Pollset.
 >       Is it supported on your platform?Also check system or user limits!
 >   [:emerg] [pid 173:tid 1996214272] AH00017: Pre-configuration failed, exiting

 > [1] http://man7.org/linux/man-pages/man7/epoll.7.html
 > [2] https://linux.die.net/man/2/dup3
 > [4] https://linux.die.net/man/2/accept4
 > [5] https://bugs.busybox.net/show_bug.cgi?id=11576

 > Signed-off-by: Peter Seiderer <ps.report at gmx.net>
 > ---
 > Note:
 >   - one more option checked via AC_TRY_RUN
 > 	ac_cv_func_sem_open

Committed to 2018.02.x and 2018.11.x, thanks.

-- 
Bye, Peter Korsgaard



More information about the buildroot mailing list